Friday, April 29, 2011

Howto Compile dcraw on OSX

dcraw is cool and all, but the maintainer of the OSX binary isn't very timely. Currently only v 8.99 is available, which is well over 15 months old, while the windows version is at 9.07. No matter, we can compile ourselves!
  1. get dcraw.c
  2. put it somewhere eg ~/downloads
  3. open terminal and CD to ~/downloads
  4. run

    gcc -o dcraw -O4 dcraw.c -lm -DNO_JPEG -DNO_LCMS

  5. ignore the errors

    dcraw.c: In function ‘convert_to_rgb’:
    dcraw.c:8326: warning: passing argument 1 of ‘pseudoinverse’ from incompatible pointer type


  6. produces a file 'dcraw' in the downloads folder
  7. switch to finder and do command-shift-g
  8. type /bin
  9. move dcraw from downloads to /bin
Ready to run!

Saturday, April 23, 2011

MacBook Air Super Drive hack: other Macs can play.

MacBook Air Super Drive hack: other Macs can play!

Doh silly me for thinking it was only _intended_ for MacBook Airs, not _just_ for MBAs! And that it would work on regular computers. After trying it on 2 Macbook Pros, I even removed the drive and tried it in a MacBook Pro thats has PATA optical drive connection. Worked great. So I figured the bridge was not working, even though it shows as a device in System Profiler.


Huh. Well it seems Apple have fixed the firmware of the (PATA) IDE to USB bridge so it only works with Mac Airs.

tnkgrl in a post tells how various methods to overcome this didn't work, such as checking supplied voltage and kexts, and how a hardware hack was required.

If its of interest you can get the required IDE/USB bridge from www.centrix-intl.com/details.asp?productid=3022

Thursday, April 14, 2011

Synology DSM 3.1-1605 - HTTPS for cpanel

Synology changed the location of where you set the HTTPS option for cpanel.

In firmwares before 3.1-1605 it was in Control Panel > Web Services > HTTP Service Options > Configure HTTPS then select "Enable HTTPS connection".

With 3.1-1605 you have to go to Control Panel > DSM Settings > HTTP Service then select "Enable HTTPS connection".

At least the automatic redirection from HTTP to HTTPS works now!

Along the way I was getting an error

    SSL received a record that exceeded the maximum permissible length.
    (Error code: ssl_error_rx_record_too_long)


This turned out to be because I was trying HTTPS on the HTTP port 5000. As soon as I tried HTTP on 5000 connection was OK.

Also, the firmware simply will not upload / update over HTTPS, so you need to turn HTTPS redirection off (now it works) to be able to update the firmware.

Sunday, April 10, 2011

Android Device Management - minimum version is Froyo 2.2

You need at least Froyo 2.2x if you want to have Device Management, which if you use your Android with your Google Apps domain, you probably want to do - password enforcement, remote wipe etc.

developer.android.com/sdk/android-2.2-highlights.html

Handily Froyo was also the first version with the Hotspot Feature.

Tuesday, April 5, 2011

OSX - Command Line History

If you’re like me you run a few commands from the Terminal, and trying to remember an exact command you executed can be hard.

Well, you can query your command line history to find previous commands by using the following syntax:

    history |grep "search string"

A curious aspect is that bash remembers this query as well, so you never get a null result, even a rubbish search gives you itself:

    $ history | grep "fjkskjfvkjf"
    140 history | grep "fjkskjfvkjf"

Saturday, April 2, 2011

Screencasting an Android device

Lets say you are presenting something to do with your shiny new Android device eg Nexus S or Xoom. And you want to screen cast.

You need androidscreencast.

You need to install the SDK first because it requires ADB. Then launch androidscreencast.jnlp. It runs as a java app, so you'll need java as well.